Subject: [ppsp] PPSP Protocols discussion summary after the bar bof

From: "yunfei zhang" <[email-masked]>
Date: Tue, 9 Dec 2008 15:36:38 +0800

Hi,all,
   I outline several key points that experts have raised in the bar bof .I
think it's really useful for pushing forward ppsp with more disccussion on
them.
*Questions:*
   1)Is the problem statement clear enough ?Currently the problem is defined
as " How to realize real-time data retrieval and transmission from multiple
sources with different pieces for a streaming application in peer to peer
environment? "
  2)Are the scope of PPSP,i.e.,signaling and transmission protocols
suitable?
  3)What is a good starting point of PPSP? e.g., a protocol to exchange
bitmap between peers?
 4)What's the real incentive for p2p streaming providers like pplive to use
ppsp?
*Possible Suggestions:*
  1)Can we find an existing IETF protocol as the basis of PPSP signaling
protocol?Take P2PSIP for example.P2PSIP successfully pushes SIP to more
scalable and realiable and therefore makes SIP reborn.I think this is a good
example PPSP can learn if we can find a suitable IETF protocol as the
base,e.g.,the tree-generation protocol in multicast?(It's just an exmaple,I
am not sure about it).If we can find such a protocol,it's also useful to
reduce the scope of PPSP.
 2) Can we study more in p2p streaming systems to find what is the "core-set
factors"to determin the system performance?If we can find these factors,I
think it's better to determine what's the point we should begin with.
3) Can we find more p2p streaming technology participants besides p2p
streaming providers?We have some such cooperative parites who just provides
p2p streaming products and solutions but don't operate p2p streaming
services.I do think they are interested in a unified p2p streaming protocol.
    How about your comments and suggestions?

                                   Yunfei

2008/11/26, Victor Pascual Ávila <[email-masked]>:
>
> Hi,
> (trying to catch up with the discussion)
>
> PPSP Signaling Protocol:
>
> On Thu, 23 Oct 2008 11:02:44 +0800, Song Haibin posted a message[1]
> that does not seem to have generated much echo (browsing the
> discussion archive I failed to find any response).
>
> [1] http://www.ietf.org/mail-archive/web/ppsp/current/msg00005.html
>
> Is there any significant difference between "PPSP Signaling Procotol"
> and "P2PSIP Peer Protocol + SIP + OTSp2p-like algorithm"?
>
> PPSP Transmission Protocol:
>
> Why isn't RTP sufficient for this?
>
> Cheers and excuse me if it has been already discussed,
> --
> Victor Pascual Ávila
> _______________________________________________
> ppsp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ppsp
>
_______________________________________________
ppsp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ppsp

---

From: Niklas Neumann <[email-masked]>
Date: Tue, 09 Dec 2008 11:20:58 +0100

Hey Yunfei,

as it was mentioned in the Minneapolis, I think it is important to make 
clear why and where standardization is needed. It is not about finding a 
general problem that we can explore or research together but about 
finding specific problems resulting from a non-standardization that the 
stakeholders in peer-to-peer streaming want to be solved by 
standardization. Otherwise we can always approach the IRTF either with a 
new RG proposal or the P2PRG 
(http://irtf.org/charter?gtype=rg&group=p2prg) which is in the process 
of rechartering by the way.

To summarize I think your question 4 is the most important one. Maybe 
any streaming provider can offer some insights in what they would like 
to see standardized and what problems they hope to remedy with a ppsp 
standard.

Best regards
   Niklas

yunfei zhang wrote:
> Hi,all,
>    I outline several key points that experts have raised in the bar bof 
> .I think it's really useful for pushing forward ppsp with more 
> disccussion on them.
> *Questions:*
>    1)Is the problem statement clear enough ?Currently the problem is 
> defined as " How to realize real-time data retrieval and transmission 
> from multiple sources with different pieces for a streaming application 
> in peer to peer environment? "
>  4)What's the real incentive for p2p streaming providers like pplive to 
> use ppsp?
> *Possible Suggestions:*
> scalable and realiable and therefore makes SIP reborn.I think this is a 
> good example PPSP can learn if we can find a suitable IETF protocol as 
> the base,e.g.,the tree-generation protocol in multicast?(It's just an 
> exmaple,I am not sure about it).If we can find such a protocol,it's also 
> useful to reduce the scope of PPSP.
>  2) Can we study more in p2p streaming systems to find what is the 
> "core-set factors"to determin the system performance?If we can find 
> these factors,I think it's better to determine what's the point we 
> should begin with.
> streaming providers?We have some such cooperative parites who just 
> provides p2p streaming products and solutions but don't operate p2p 
> streaming services.I do think they are interested in a unified p2p 
> streaming protocol.
> 2008/11/26, Victor Pascual Ávila <[email-masked] 
> <mailto:[email-masked]>>:
> 
>     Hi,
>     [email-masked] <mailto:[email-masked]>
> ------------------------------------------------------------------------
> 

-- 
Niklas Neumann - University of Goettingen, Institute of Computer Science
http://user.informatik.uni-goettingen.de/~nneuman1/
Tel: +49 551 39-172053
_______________________________________________
ppsp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ppsp